Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.services
Interface ServiceFactory

All Superinterfaces:
  org.jboss.system.Service

All Known Subinterfaces:
  ManageableServiceFactory

All Known Implementing Classes:
  AbstractJNDIServiceFactory, AbstractSOAPServiceFactory, CachingServiceFactory, PerEndpointSOAPInvokerServiceFactory, RemoteSOAPInvokerServiceFactory

    public interface ServiceFactory

extends org.jboss.system.Service

A factory that gives access to remote services.

Version:
  $Revision: 11483 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `getMarkupURL()`
`java.lang.String` | `getPortletManagementURL()`
`java.lang.String` | `getRegistrationURL()`
`
`<T extends java.rmi.Remote> T`
` | `getService(java.lang.Class<T> clazz)`
`java.lang.String` | `getServiceDescriptionURL()`
`boolean` | `isAvailable()` Determines whether or not this ServiceFactory is able to provide services.
`boolean` | `isFailed()` Determines whether or not this ServiceFactory is in a permanent state of failure which cannot be recovered from without user intervention.
`void` | `setMarkupURL(java.lang.String markupURL)`
`void` | `setPortletManagementURL(java.lang.String portletManagementURL)`
`void` | `setRegistrationURL(java.lang.String registrationURL)`
`void` | `setServiceDescriptionURL(java.lang.String serviceDescriptionURL)`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Method Detail

### getService

    <T extends java.rmi.Remote> T getService(java.lang.Class<T> clazz)
                                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isAvailable

    boolean isAvailable()

  Determines whether or not this ServiceFactory is able to provide services. A non-available ServiceFactory might be in a temporary state of non-availability (e.g. if the remote host is not currently reachable) or permanently (because, e.g. its configuration is invalid). Permanent failure is indicated by `isFailed()` status.

  Returns:
    `true` if this ServiceFactory is ready to provide services, `false` otherwise.

### isFailed

    boolean isFailed()

  Determines whether or not this ServiceFactory is in a permanent state of failure which cannot be recovered from without user intervention. This notably happens if the configuration is incorrect (i.e. remote host URLs are invalid).

  Returns:
    `true` if this ServiceFactory is not configured properly, `false` otherwise.

### getServiceDescriptionURL

    java.lang.String getServiceDescriptionURL()

### getMarkupURL

    java.lang.String getMarkupURL()

### getRegistrationURL

    java.lang.String getRegistrationURL()

### getPortletManagementURL

    java.lang.String getPortletManagementURL()

### setServiceDescriptionURL

    void setServiceDescriptionURL(java.lang.String serviceDescriptionURL)

### setMarkupURL

    void setMarkupURL(java.lang.String markupURL)

### setRegistrationURL

    void setRegistrationURL(java.lang.String registrationURL)

### setPortletManagementURL

    void setPortletManagementURL(java.lang.String portletManagementURL)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD